package com.ktg.iscs.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ktg.common.mapper.BaseMapperX;
import com.ktg.iscs.domain.IsLock;
import com.ktg.iscs.domain.vo.lock.IsLockVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 挂锁Mapper接口
 *
 * @author cgj
 * @date 2024-11-19
 */
@Mapper
public interface IsLockMapper extends BaseMapperX<IsLock>
{
    /**
     * 查询挂锁
     *
     * @param lockId 挂锁主键
     * @return 挂锁
     */
    IsLock selectIsLockByLockId(Long lockId);

    default IsLock selectIsLockByNfc(String nfc) {
        return selectOne(IsLock::getLockNfc, nfc);
    }

    /**
     * 查询挂锁列表
     *
     * @param isLock 挂锁
     * @return 挂锁集合
     */
    List<IsLock> selectIsLockList(IsLock isLock);

    /**
     * 新增挂锁
     *
     * @param isLock 挂锁
     * @return 结果
     */
    int insertIsLock(IsLock isLock);

    /**
     * 修改挂锁
     *
     * @param isLock 挂锁
     * @return 结果
     */
    int updateIsLock(IsLock isLock);

    /**
     * 删除挂锁
     *
     * @param lockId 挂锁主键
     * @return 结果
     */
    int deleteIsLockByLockId(Long lockId);

    /**
     * 批量删除挂锁
     *
     * @param lockIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteIsLockByLockIds(Long[] lockIds);

    Page<IsLockVO> getIsLockPage(Page<IsLock> page, @Param(value = "isLock") IsLock isLock);
}
